;****************************************
; General
;****************************************

; Description
; A drush makefile for Drupal core.

; drush make API version
api = 2

; Drupal core
core = 6.x

;****************************************
; Core
;****************************************

; Checking for new updates at:
; https://github.com/pressflow/6/tags
; https://drupal.org/project/drupal

; Pressflow
projects[drupal][type] = core
projects[drupal][download][type] = git
projects[drupal][download][url] = git://github.com/pressflow/6.git
projects[drupal][download][tag] =  pressflow-6.30.113

; To use the standard core from drupal.org instead,
; uncomment the line below and comment out the lines above.
;projects[drupal][version] = 6.30

;****************************************
; Patches
;****************************************

; Improvements to the core file robots.txt in Drupal
; https://drupal.org/node/1317338#comment-5815906
; If this patch does not work anymore on a new version of Drupal, we should remake it.
projects[drupal][patch][1317338] = http://drupal.org/files/robots.txt.drupal-6.25.patch

; Enforce not using core module statistics
; https://drupal.org/node/2007316#comment-7474460
; If this patch does not work anymore on a new version of Drupal, we should remake it.
projects[drupal][patch][2007316] = http://drupal.org/files/2007316-remove-core-module-statistics-d6.patch

; Empty $account->roles causes a sql error in user_access
; https://drupal.org/node/777116#comment-4283322
projects[drupal][patch][777116] = http://drupal.org/files/issues/777116-no-roles-error-D6.patch

; Fixes ' Function split() is deprecated in _filter_autop '
; https://drupal.org/node/1688282
libraries[drupal][patch][1688282] = http://drupal.org/files/drupal-1688282-1-fix-warning-on-split-usage.patch

;****************************************
; End
;****************************************
