;****************************************
; General
;****************************************

; Description
; A drush makefile for Drupal core.

; drush make API version
api = 2

; Drupal core
core = 7.x

;****************************************
; Core
;****************************************

; Checking for new updates at:
; https://github.com/pressflow/7/tags
; https://drupal.org/project/drupal

; Pressflow
projects[drupal][type] = core
projects[drupal][download][type] = git
projects[drupal][download][url] = git://github.com/pressflow/7.git
projects[drupal][download][tag] = pressflow-7.26

; To use the standard core from drupal.org instead,
; uncomment the line below and comment out the lines above.
;projects[drupal][version] = 7.26

;****************************************
; Patches
;****************************************

; Improvements to the core file robots.txt in Drupal
; https://drupal.org/node/1317338#comment-5146596
; If this patch does not work anymore on a new version of Drupal, we should remake it.
projects[drupal][patch][1317338] = http://drupal.org/files/robots.txt.drupal-7.4.patch

; Enforce not using core module statistics
; https://drupal.org/node/2007316
; If this patch does not work anymore on a new version of Drupal, we should remake it.
projects[drupal][patch][2007316] = http://drupal.org/files/issues/2007316-remove-core-module-statistics-7.26.patch

; Empty $account->roles causes a sql error in user_access
; https://drupal.org/node/777116#comment-4283336
projects[drupal][patch][777116] = http://drupal.org/files/issues/777116-no-roles-error.patch

; ACL support for D7
; https://drupal.org/node/1798242
; ./sites/default/files directory permission check is incorrect during install AND status report
; https://drupal.org/node/944582#comment-5872786
projects[drupal][patch][944582] = http://drupal.org/files/d7-944582-59-do-not-test.patch

; node_access integrity constraint violation on module_invoke_all
; https://drupal.org/node/1865072#comment-6841614
;projects[drupal][patch][1865072] = http://drupal.org/files/1865072-node_insert_save_d7.patch

;****************************************
; End
;****************************************
